if ~exist('small'), small=false;end
Lfun={@(A) fc_bench.demos.wrapperLU(@lu,A), ...
      @(A) fc_bench.demos.wrapperLU(@(X) fc_bench.demos.permLU(X),A) };
names={'lu','permLU'};
Comment='# benchmarking LU factorization functions';
error=@(o1,o2) norm(o1{1}-o2{1},Inf)+norm(o1{2}-o2{2},Inf)+norm(o1{3}-o2{3},Inf);
setfun=@(varargin) fc_bench.demos.setLU01(varargin{:});
if small, LN=10:10:50;else, LN=100:100:400;end
fc_bench.bench(Lfun, setfun, 'LN',LN, 'comment',Comment, 'names',names, 'error',error, 'info',false, 'labelsinfo',true);
