function S=gitinfo()
% FUNCTION fc_bench.gitinfo(): returns some informations on the package/toolbox.
%
%    Copyright (C) 2018-2019 F. Cuvelier
%
  S=struct('name','fc-bench', 'tag','0.0.6','commit','d91fd276d2e6ae3e7c22c4c418aed18b45ac9a6e','date', '2019-03-06','time','10-09-59','status',0);return; % automatically updated
  rep=fc_bench.path();
  if fc_tools.git.isrepository(rep)
    S=struct('name',  fc_tools.git.get_name(rep), ...
             'tag',   fc_tools.git.get_tag(rep), ...
             'commit',fc_tools.git.get_commit(rep), ...
             'date',  fc_tools.git.get_date(rep), ...
             'time',  fc_tools.git.get_time(rep), ...
             'status',fc_tools.git.isup2date(rep));
  else
    tag='';
    commit='';
    strdate='';
    strtime='';
    S=struct('name','fc-bench','tag',tag,'commit',commit,'date',strdate,'time',strtime,'status',-1);
  end
end
